package com.supervision.manage.controller;


import com.supervision.manage.service.DiseasePhysicalManageService;
import com.supervision.service.DiseasePhysicalService;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.model.DiseasePhysical;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "疾病体格检查管理")
@RestController
@RequestMapping("diseasePhysical")
@RequiredArgsConstructor
public class DiseasePhysicalManageController {


    private final DiseasePhysicalManageService diseasePhysicalManageService;

    @ApiOperation("保存体格检查信息")
    @PostMapping("/save")
    public String savePhysical(DiseasePhysical diseasePhysical) {

        return null;

    }

    @ApiOperation("删除体格检查")
    @DeleteMapping("/delete")
    public String deletePhysical(@RequestParam String id) {


        return "id";

    }

    @ApiOperation("修改辅助检查信息")
    @PutMapping("/update")
    public String updatePhysical(DiseasePhysical diseasePhysical) {

        return null;

    }

    @ApiOperation("根据疾病id查询体格检查列表")
    @GetMapping("/queryListByDiseaseId")
    public List<DiseasePhysicalResVo> queryListByDiseaseId(String diseaseId) {

        return diseasePhysicalManageService.queryListByDiseaseId(diseaseId);

    }

}
