package com.supervision.manage.controller;


import com.supervision.manage.service.DiseaseTreatmentPlanManageService;
import com.supervision.model.DiseaseTreatmentPlan;
import com.supervision.service.DiseaseTreatmentPlanService;
import com.supervision.vo.manage.TreatmentPlanReqVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "疾病处置计划管理")
@RestController
@RequestMapping("diseaseTreatmentPlan")
@RequiredArgsConstructor
public class DiseaseTreatmentPlanManageController {


    private final DiseaseTreatmentPlanManageService diseaseTreatmentPlanManageService;

    @ApiOperation("保存处置信息")
    @PostMapping("/save")
    public String saveTreatmentPlan(DiseaseTreatmentPlan diseaseTreatmentPlan) {

        return null;

    }


    @ApiOperation("根据疾病id查询疾病处置信息列表")
    @GetMapping("/queryListByDiseaseId")
    public List<TreatmentPlanReqVo> queryListByDiseaseId(String diseaseId) {

        return diseaseTreatmentPlanManageService.queryListByDiseaseId(diseaseId);

    }


}
